Skip to main content
POST
/
accounts
/
pending
/
{connection_id}
/
select
Select a Google Business Profile to connect
curl --request POST \
  --url https://api.social-api.ai/v1/accounts/pending/{connection_id}/select \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform_account_id": "accounts/123/locations/456"
}
'
{
  "account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
  "display_name": "Acme Corp",
  "platform": "instagram",
  "username": "acmecorp"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

connection_id
string
required

Pending connection ID

Body

application/json

Chosen platform_account_id

platform_account_id
string
Example:

"accounts/123/locations/456"

Response

Created

account_id
string
Example:

"acc_01HZ9X3Q4R5M6N7P8V2K0W1J"

display_name
string
Example:

"Acme Corp"

platform
string
Example:

"instagram"

username
string
Example:

"acmecorp"